void classifyinst(short, itemarray, enum insttype *, int *, int *, int *);
void reclassifyinsts();
void makeinstitems(char *, short *, itemarray *, int);
void setupinstinfo(struct assemline *);
int readinglobals(FILE*);
int readinfunc(FILE*);
void dumpglobals();
void dumplocals();
void dumpblk(FILE *, struct bblk *);
void dumpoutblks(FILE *, unsigned int, unsigned int);
void dumpblks(int, int);
void dumpfunc();
void dumpruleusage();
void dumpfunccounts();
void dumptotalcounts();
void dumploops_info(FILE *);
void dumploops_dotloop(FILE *);
